﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Text.RegularExpressions;

namespace Jewels_DMilian
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void tbTimeLimit_MouseClick(object sender, MouseEventArgs e)
        {
            if (tbTimeLimit.Text == "( Žádný )") { tbTimeLimit.Text = ""; }
        }

        private void tbTimeLimit_TextChanged(object sender, EventArgs e)
        {
            /*if (tbTimeLimit.Text.Length == 0) { tbTimeLimit.Text = "( Žádný )"; }
            else if (tbTimeLimit.Text != "( Žádný )")
            {
                Match m = Regex.Match(tbTimeLimit.Text, "\\d{1,2}:\\d{1,2}");
                if (m.Success)
                {

                }
                else
                {
                    MessageBox.Show("Chyba formátu v poli časového limitu.");
                    tbTimeLimit.Focus();
                }
            }*/
        }

        private void bStart_Click(object sender, EventArgs e)
        {
            if (tbTimeLimit.Text.Length == 0) { tbTimeLimit.Text = "( Žádný )"; }
            int mins = 0, secs = 0;
            if (tbTimeLimit.Text != "( Žádný )")
            {
                Match m = Regex.Match(tbTimeLimit.Text, "\\d{1,2}:\\d{1,2}");
                bool error = false;
                if (!m.Success) { error = true; }
                else if (tbTimeLimit.Text.Length != m.Value.Length) { error = true; }
                else if (!int.TryParse(tbTimeLimit.Text.Substring(0, tbTimeLimit.Text.IndexOf(":")), out mins)) { error = true; }
                else if (!int.TryParse(tbTimeLimit.Text.Substring(tbTimeLimit.Text.IndexOf(":") + 1, tbTimeLimit.Text.Length - tbTimeLimit.Text.IndexOf(":") - 1), out secs)) { error = true; }
                else if (mins < 0 || mins > 60) { error = true; }
                else if (secs < 0 || secs > 60) { error = true; }
                if (error)
                {
                    MessageBox.Show("Formát časového limitu není správný.");
                    tbTimeLimit.Focus();
                    return;
                }
            }
            Game g = new Game();
            g.TimeLimit = new Point(mins, secs);
            g.AutoGen = cbGen.Checked;
            this.Hide();
            g.Show();
        }
    }
}
